<template lang="pug">
<div class="editTool tool" v-if="hover">
    .editTool_item.editTool_item_handler
        <BIconArrowsMove />
    .editTool_item(@click="templateDuplicate")
        <BIconBack />
    .editTool_item(@click="templateRemove")
        <BIconTrash />
</div>
</template>

<script>
import {
    BIconArrowsMove,
    BIconCodeSlash,
    BIconBack,
    BIconTrash,
} from "bootstrap-vue";
export default {
    props: {
        item: {
            type: [Array, Object],
            default: () => [],
        },
    },
    data() {
        return {
            count: 0,
            hover: false,
        };
    },
    components: {
        BIconArrowsMove,
        BIconCodeSlash,
        BIconBack,
        BIconTrash,
    },
    methods: {
        templateDuplicate() {
            this.count++;
            this.$store.commit("DUPLICATE_SECONDARYCOMPONENT", [
                this.item,
                this.count,
            ]);
        },
        templateRemove() {
            this.$store.commit("REMOVE_SECONDARYCOMPONENT", this.item.id);
        },
    },
    mounted() {
        this.$root.$on("boolean::hover" + this.item.id, (b) => {
            this.hover = b;
        });
    },
};
</script>

<style lang="scss">
.editTool {
    display: flex;
    justify-content: space-between;
    position: absolute;
    width: 120px;
    left: -40px;
    top: -30px;
    padding: 5px 10px;
    border: 1px solid rgba($color: #dddddd, $alpha: 0.5);
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.125);
    background-color: white;
    z-index: 10;

    svg {
        cursor: pointer;
    }
}
</style>
